Bug 483155 - unable to create clustered LVs stacked on top of other clustered LVs
unable to create clustered LVs stacked on top of other clustered LVs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Alasdair Kergon
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 16:04 EST by Corey Marthaler
Modified: 2010-07-15 18:16 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 18:15:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-01-29 16:04:24 EST
Description of problem:
[root@hayes-02 cache]# pvcreate /dev/etherd/e1.1p*
  Physical volume "/dev/etherd/e1.1p1" successfully created
  Physical volume "/dev/etherd/e1.1p2" successfully created
  Physical volume "/dev/etherd/e1.1p3" successfully created
  Physical volume "/dev/etherd/e1.1p4" successfully created
  Physical volume "/dev/etherd/e1.1p5" successfully created
[root@hayes-02 cache]# pvscan
  PV /dev/sda2            VG VolGroup00      lvm2 [74.38 GB / 0    free]
  PV /dev/etherd/e1.1p1                      lvm2 [1.77 TB]
  PV /dev/etherd/e1.1p2                      lvm2 [1.77 TB]
  PV /dev/etherd/e1.1p3                      lvm2 [1.77 TB]
  PV /dev/etherd/e1.1p4                      lvm2 [1.77 TB]
  PV /dev/etherd/e1.1p5                      lvm2 [1.77 TB]
  Total: 6 [8.94 TB] / in use: 1 [74.38 GB] / in no VG: 5 [8.87 TB]
[root@hayes-02 cache]# vgcreate V1 /dev/etherd/e1.1p1
  Clustered volume group "V1" successfully created
[root@hayes-02 cache]# vgcreate V2 /dev/etherd/e1.1p2
  Clustered volume group "V2" successfully created
[root@hayes-02 cache]# pvscan
  PV /dev/etherd/e1.1p2   VG V2              lvm2 [1.77 TB / 1.77 TB free]
  PV /dev/etherd/e1.1p1   VG V1              lvm2 [1.77 TB / 1.77 TB free]
  PV /dev/sda2            VG VolGroup00      lvm2 [74.38 GB / 0    free]
  PV /dev/etherd/e1.1p3                      lvm2 [1.77 TB]
  PV /dev/etherd/e1.1p4                      lvm2 [1.77 TB]
  PV /dev/etherd/e1.1p5                      lvm2 [1.77 TB]
  Total: 6 [8.94 TB] / in use: 3 [3.62 TB] / in no VG: 3 [5.32 TB]
[root@hayes-02 cache]# lvcreate -L 500M -n L1 V1
  Logical volume "L1" created
[root@hayes-02 cache]# lvcreate -L 500M -n L2 V2
  Logical volume "L2" created
[root@hayes-02 cache]# lvs
  LV       VG         Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  L1       V1         -wi-a- 500.00M                                      
  L2       V2         -wi-a- 500.00M                                      
  LogVol00 VolGroup00 -wi-ao  64.56G                                      
  LogVol01 VolGroup00 -wi-ao   9.81G                                      
[root@hayes-02 cache]# pvcreate /dev/V1/L1 
  Physical volume "/dev/V1/L1" successfully created
[root@hayes-02 cache]# pvcreate /dev/V2/L2
  Physical volume "/dev/V2/L2" successfully created
[root@hayes-02 cache]# vgcreate top /dev/V1/L1 /dev/V2/L2
  Clustered volume group "top" successfully created
[root@hayes-02 cache]# lvcreate -L 100M -n top top
  Error locking on node hayes-01: Volume group for uuid not found: kDRUMuWfyQ4dylgW9ewigr3t2E2D2R6Ppd                  leR3IdbNutwo0ayb4Gv1RGEbqEtk3D
  Error locking on node hayes-03: Volume group for uuid not found: kDRUMuWfyQ4dylgW9ewigr3t2E2D2R6Ppd                  leR3IdbNutwo0ayb4Gv1RGEbqEtk3D
  Error locking on node hayes-02: Volume group for uuid not found: kDRUMuWfyQ4dylgW9ewigr3t2E2D2R6Ppd                  leR3IdbNutwo0ayb4Gv1RGEbqEtk3D
  Aborting. Failed to activate new LV to wipe the start of it.


Version-Release number of selected component (if applicable):
2.6.18-128.el5

lvm2-2.02.40-6.el5    BUILT: Fri Oct 24 07:37:33 CDT 2008
lvm2-cluster-2.02.40-7.el5    BUILT: Wed Nov 26 07:19:19 CST 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.36-1.el5    BUILT: Tue Dec  9 16:38:13 CST 2008
kmod-cmirror-0.1.21-10.el5    BUILT: Wed Dec 17 15:18:59 CST 2008


How reproducible:
most of the time
Comment 3 Alasdair Kergon 2010-07-09 18:00:37 EDT
We've made many changes here - can you retry this *on RHEL6* ?
Comment 4 Corey Marthaler 2010-07-15 16:13:35 EDT
This does appear to work now.

[root@taft-02 tmp]# pvcreate /dev/sd[bcdefgh]1 
  Physical volume "/dev/sdb1" successfully created
  Physical volume "/dev/sdc1" successfully created

[root@taft-02 tmp]# vgcreate V1 /dev/sdb1
  Clustered volume group "V1" successfully created
[root@taft-02 tmp]# vgcreate V2 /dev/sdc1         
  Clustered volume group "V2" successfully created

[root@taft-02 tmp]# pvscan
  PV /dev/sdc1   VG V2              lvm2 [135.66 GiB / 135.66 GiB free]
  PV /dev/sdb1   VG V1              lvm2 [135.66 GiB / 135.66 GiB free]
  PV /dev/sda2   VG vg_taft02       lvm2 [67.75 GiB / 0    free]

  Total: 8 [1017.41 GiB] / in use: 3 [339.08 GiB] / in no VG: 5 [678.33 GiB]
[root@taft-02 tmp]# lvcreate -L 500M -n L1 V1
  Logical volume "L1" created
[root@taft-02 tmp]# lvcreate -L 500M -n L2 V2
  Logical volume "L2" created

[root@taft-02 tmp]# lvs
  LV      VG        Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  L1      V1        -wi-a- 500.00m
  L2      V2        -wi-a- 500.00m

[root@taft-02 tmp]# pvcreate /dev/V1/L1
  Physical volume "/dev/V1/L1" successfully created
[root@taft-02 tmp]# pvcreate /dev/V2/L2
  Physical volume "/dev/V2/L2" successfully created

[root@taft-02 tmp]# vgcreate top /dev/V1/L1 /dev/V2/L2
  Clustered volume group "top" successfully created

[root@taft-02 tmp]# lvcreate -L 100M -n top top
  Logical volume "top" created

[root@taft-02 tmp]# lvs -a -o +devices
  LV      VG        Attr   LSize   Origin Snap%  Move Log Copy%  Convert Devices
  L1      V1        -wi-ao 500.00m                                       /dev/sdb1(0)
  L2      V2        -wi-a- 500.00m                                       /dev/sdc1(0)
  top     top       -wi-a- 100.00m                                       /dev/dm-3(0)

Note You need to log in before you can comment on or make changes to this bug.